/* This file is part of the KDE project
   Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "nepomukwidget.h"
#include "messagedata.h"

#include <QGridLayout>

#include <KDebug>

#include "nepomuk/kmetadatatagwidget.h"

using namespace Mailody;
using namespace Nepomuk;

NepomukWidget::NepomukWidget( QWidget* parent )
        : QWidget( parent )
{
    m_tags = new TagWidget( this );
    connect( m_tags, SIGNAL( tagClicked( Tag ) ),
             SLOT( slotTagClicked( Tag ) ) );

    QGridLayout* layout = new QGridLayout( this );
    layout->setSpacing( 5 );
    layout->setMargin( 5 );
    layout->addWidget( m_tags, 0, 0 );
}

void NepomukWidget::slotTagClicked( Tag tag )
{
    kDebug();
    emit tagClicked( tag.genericLabel() );
}

void NepomukWidget::setMsg( MessageData* data )
{
    Nepomuk::Resource res( data->item().url() );
    m_tags->setTaggedResource( res );
}

#include "nepomukwidget.moc"
