/*
   Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

// Own
#include "networkaccessmanager.h"

// Qt
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QTimer>

// KDE
#include <KDebug>

using namespace Mailody;

NullNetworkReply::NullNetworkReply()
        : QNetworkReply()
{
    QTimer::singleShot( 0, this, SIGNAL( finished() ) );
}

NetworkAccessManager::NetworkAccessManager( QObject *parent )
        : QNetworkAccessManager( parent ), m_externalAllowed( false )
{
}

QNetworkReply *NetworkAccessManager::createRequest( Operation op, const QNetworkRequest &request,
        QIODevice* device )
{
    if ( m_externalAllowed ) {
        return QNetworkAccessManager::createRequest( op, request, device );
    } else {
        kDebug() << "Blocked: " << request.url();
        return new NullNetworkReply();
    }
}

