/*
   Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef NETWORKACCESSMANAGER_H
#define NETWORKACCESSMANAGER_H

#include <QNetworkAccessManager>
#include <QNetworkReply>

namespace Mailody
{

class NetworkAccessManager : public QNetworkAccessManager
{
public:
    NetworkAccessManager( QObject *parent );
    void setExternalAllowed( bool allowed ) {
        m_externalAllowed = allowed;
    };

protected:
    virtual QNetworkReply *createRequest( Operation op, const QNetworkRequest &request,
                                          QIODevice *outgoingData = 0 );

private:
    bool m_externalAllowed;
};

class NullNetworkReply : public QNetworkReply
{
public:
    NullNetworkReply();
    virtual void abort() { };
    virtual qint64 bytesAvailable() const {
        return -1;
    };

protected:
    virtual qint64 readData( char*, qint64 ) {
        return -1;
    };
};

}

#endif
